package org.springblade.modules.feign;

import org.springblade.common.constant.CommonConstant;
import org.springblade.core.tool.api.R;
import org.springblade.modules.entity.RkxxEntity;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(
	//定义Feign指向的service-id
	value = CommonConstant.APPLICATION_RKXX_NAME
)
public interface RkxxFeign {
	String API_PREFIX = "/api/bzdz";

	@GetMapping(API_PREFIX + "/rkxx")
	RkxxEntity rkxx(String fzSfzh);
}
