package org.springblade.swzdr.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 人员_车辆信息 实体类
 *
 * @author BladeX
 * @since 2024-09-12
 */
@Data
@TableName("swzdr_ry_car")
@Schema(description = "RyCar对象")
@EqualsAndHashCode(callSuper = true)
public class RyCarEntity extends BaseEntity {

	/**
	 * swzdr_ry_info表id
	 */
	@Schema(description = "swzdr_ry_info表id")
	private Long userId;
	/**
	 * 车辆号牌
	 */
	@Schema(description = "车辆号牌")
	private String cph;

}
