package org.springblade.modules.feign;

import lombok.AllArgsConstructor;
import org.springblade.core.tool.api.R;
import org.springblade.modules.entity.RkxxEntity;
import org.springblade.modules.service.RkxxService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@AllArgsConstructor
public class RkxxClientImpl implements RkxxFeign {

	private RkxxService rkxxService;

	@Override
	@GetMapping(API_PREFIX + "/rkxx")
	public RkxxEntity rkxx(String fzSfzh) {
		return rkxxService.selectRyxxBySfzh(fzSfzh);
	}
}
